int lm35pin = A0;
int led = 2;  // D3'E BAĞLI LED SICAKLIK BELİRLEDİĞİMİZ EŞİK DEĞERİNİN ÜSTÜNE ÇIKTIĞI DURUMDA YANARAK UYARI VERİYOR.
int buzzer = 6; //BUZZERI ALTINCI PİNE (D6) BAĞLIYORUZ
int zaman = 250;
int okunan_deger = 0;
float sicaklik_gerilim = 0;
float sicaklik = 0;
void setup()
{
  pinMode(led, OUTPUT);
  pinMode(buzzer, OUTPUT);
  Serial.begin(9600);
}
void loop()
{
  okunan_deger = analogRead(lm35pin);
  sicaklik_gerilim = (okunan_deger / 1023.0) * 5000;
  sicaklik = sicaklik_gerilim / 10.0;
  Serial.println(sicaklik);
  if (sicaklik >= 30) {       //UYARI İÇİN SICAKLIK EŞİK DEĞERİNİ BELİRLİYORUZ
    digitalWrite(led, HIGH);
    digitalWrite(buzzer, HIGH);
    delay(zaman);
    digitalWrite(led, LOW);
    digitalWrite(buzzer, LOW);
    delay(zaman);
  }
  else {
    digitalWrite(led, LOW);
    digitalWrite(buzzer, LOW);
  }
}
